=== debian/control ===
Source: freerdp
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Laszlo Boszormenyi (GCS) <gcs@debian.hu>,
Build-Depends:
 debhelper (>= 9),
 cdbs,
 autotools-dev,
 cmake,
 dpkg-dev (>= 1.16.1.1),
 libasound2-dev,
 libcups2-dev,
 libpcsclite-dev,
 libpulse-dev,
 libssl1.0-dev,
 libx11-dev,
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxkbfile-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxv-dev,
 libjpeg-dev,
 pkg-config,
 xmlto,
 libavcodec-dev,
 libxi-dev,
 libusb-1.0-0-dev [linux-any],
 libudev-dev [linux-any],
 libdbus-glib-1-dev,
 uuid-dev,
Standards-Version: 3.9.8
Homepage: http://www.freerdp.com/
Vcs-Browser: https://salsa.debian.org/debian-remote-team/freerdp-1.1-legacy
Vcs-Git: https://salsa.debian.org/debian-remote-team/freerdp-1.1-legacy.git

Package: freerdp-x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libfreerdp-plugins-standard
Provides: freerdp
Description: RDP client for Windows Terminal Services (X11 client)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 Currently, the FreeRDP client supports the following Windows Versions:
 .
  * Windows NT Server
  * Windows 2000 Terminal Server
  * Windows XP
  * Windows 2003 Server
  * Windows Vista
  * Windows 2008/2008r2/2011SBS Server
  * Windows 7
  * Windows 2012/2012r2 Server
  * Windows 8
  * Windows 10
 .
 This package contains the X11 based client.

Package: libfreerdp-cache1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (cache library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the cache shared library.

Package: libfreerdp-client1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (client library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-client shared library.

Package: libfreerdp-codec1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (codec library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-codec shared library.

Package: libfreerdp-common1.1.0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (common library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-common shared library.

Package: libfreerdp-core1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (core library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-core shared library.

Package: libfreerdp-crypto1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (freerdp-crypto library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-crypto shared library.

Package: libfreerdp-gdi1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (GDI library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-gdi shared library.

Package: libfreerdp-locale1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (locale library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-locale shared library.

Package: libfreerdp-primitives1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (primitives library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-primitives shared library.

Package: libfreerdp-rail1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (rail library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-rail shared library.

Package: libfreerdp-utils1.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Free Remote Desktop Protocol library (freerdp-utils library)
 FreeRDP is a libre client/server implementation of the Remote
 Desktop Protocol (RDP).
 .
 This package contains the freerdp-utils shared library.

Package: libwinpr-asn1-0.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Windows Portable Runtime library (ASN1 library)
 WinPR is a spin-off project of FreeRDP which aims at providing a portable
 implementation of important portions of the Windows API. Just like FreeRDP,
 WinPR is released under the Apache license. Unlike Wine, WinPR does not provide
 binary compatibility, and does not require applications to be built for
 Windows. Instead, WinPR provides API compatibility for applications targeting
 non-Windows environments. When on Windows, the original native API is being
 used instead of the equivalent WinPR implementation, without having to modify
 the code using it.
 .
 This package contains the winpr-asn1 shared library.

Package: libwinpr-bcrypt0.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Windows Portable Runtime library (bcrypt library)
 WinPR is a spin-off project of FreeRDP which aims at providing a portable
 implementation of important portions of the Windows API. Just like FreeRDP,
 WinPR is released under the Apache license. Unlike Wine, WinPR does not provide
 binary compatibility, and does not require applications to be built for
 Windows. Instead, WinPR provides API compatibility for applications targeting
 non-Windows environments. When on Windows, the original native API is being
 used instead of the equivalent WinPR implementation, without having to modify
 the code using it.
 .
 This package contains the winpr-bcrypt shared library.

Package: libwinpr-credentials0.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Windows Portable Runtime library (credentials library)
 WinPR is a spin-off project of FreeRDP which aims at providing a portable
 implementation of important portions of the Windows API. Just like FreeRDP,
 WinPR is released under the Apache license. Unlike Wine, WinPR does not provide
 binary compatibility, and does not require applications to be built for
 Windows. Instead, WinPR provides API compatibility for applications targeting
 non-Windows environments. When on Windows, the original native API is being
 used instead of the equivalent WinPR implementation, without having to modify
 the code using it.
 .
 This package contains the winpr-credentials shared library.

Package: libwinpr-credui0.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Windows Portable Runtime library (credeui library)
 WinPR is a spin-off project of FreeRDP which aims at providing a portable
 implementation of important portions of the Windows API. Just like FreeRDP,
 WinPR is released under the Apache license. Unlike Wine, WinPR does not provide
 binary compatibility, and does not require applications to be built for
 Windows. Instead, WinPR provides API compatibility for applications targeting
 non-Windows environments. When on Windows, the original native API is being
 used instead of the equivalent WinPR implementation, without having to modify
 the code using it.
 .
 This package contains the winpr-credeui shared library.

Package: libwinpr-crt0.1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Suggests: freerdp-x11
Breaks: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Replaces: libfreerdp1 (<< 1.1.0~git20140921.1.440916e+dfsg-1)
Description: Windows Portable Runtime library (crt library)
 WinPR is a spin-off project of FreeRDP which aims at providing a portable
 implementation of important portions of the Windows API. Just like FreeRDP,
 WinPR is released under the Apache license. Unlike Wine, WinPR does not provide
 binary compatibility, and does not require applications to be built for
 Windows. Instead, WinPR provides API compatibility for applications targeting
 non-Windows environments. When on Windows, the original native API is being
